Subject: bug#13743: 24.2.93; Segmentation fault when trying to [s]teal a file opened elsewhere

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Feb 2013 05:39:28 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 25 Feb 2013 15:28:36 -0500
> 
> >> I suspect it only works around the crash by optimizing away the call
> >> to modify_region in the particular case you're testing.
> > So you think I should install the followup I showed earlier?
> 
> I'd leaning towards yes, although it's sufficiently ugly (and dangerous
> since there's no reason to assume that it won't inf-loop) that I'd
> rather not.

No, the patch I posted a few messages ago cannot infloop, it only
retries once (because another call to modify_region is clearly
unnecessary).  I will install it, then.